org.eclipse.viatra.query.tooling.generator.model

## Class AbstractGeneratorModelRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - org.eclipse.viatra.query.tooling.generator.model.AbstractGeneratorModelRuntimeModule

- All Implemented Interfaces:
    com.google.inject.Module
  Direct Known Subclasses:
    GeneratorModelRuntimeModule

      public abstract class AbstractGeneratorModelRuntimeModule
      extends org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

  Manual modifications go to {org.eclipse.viatra.query.tooling.generator.model.GeneratorModelRuntimeModule}

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Properties` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGeneratorModelRuntimeModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.ClassLoader` | `bindClassLoaderToInstance()`
    `java.lang.Class<? extends GeneratorModelJavaValidator>` | `bindGeneratorModelJavaValidator()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider>` | `bindIAntlrTokenFileProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter>` | `bindIFormatter()`
    `java.lang.Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider>` | `bindIGlobalScopeProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess>` | `bindIGrammarAccess()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.IParser>` | `bindIParser()`
    `java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider>` | `bindIQualifiedNameProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.scoping.IScopeProvider>` | `bindIScopeProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISemanticSequencer>` | `bindISemanticSequencer()`
    `java.lang.Class<? extends org.eclipse.xtext.serializer.ISerializer>` | `bindISerializer()`
    `java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer>` | `bindISyntacticSequencer()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider>` | `bindITokenDefProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter>` | `bindITokenToStringConverter()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer>` | `bindLexer()`
    `void` | `configure(com.google.inject.Binder binder)`
    `void` | `configureFileExtensions(com.google.inject.Binder binder)`
    `void` | `configureIgnoreCaseLinking(com.google.inject.Binder binder)`
    `void` | `configureIScopeProviderDelegate(com.google.inject.Binder binder)`
    `void` | `configureLanguageName(com.google.inject.Binder binder)`
    `void` | `configureRuntimeLexer(com.google.inject.Binder binder)`
    `com.google.inject.Provider<InternalGeneratorModelLexer>` | `provideInternalGeneratorModelLexer()`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIContainer$Manager, bindIFragmentProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected java.util.Properties properties

  - ### Constructor Detail

    - #### AbstractGeneratorModelRuntimeModule

          public AbstractGeneratorModelRuntimeModule()

  - ### Method Detail

    - #### configure

          public void configure(com.google.inject.Binder binder)

      Specified by:
        `configure` in interface `com.google.inject.Module`
      Overrides:
        `configure` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### configureLanguageName

          public void configureLanguageName(com.google.inject.Binder binder)

    - #### configureFileExtensions

          public void configureFileExtensions(com.google.inject.Binder binder)

    - #### bindClassLoaderToInstance

          public java.lang.ClassLoader bindClassLoaderToInstance()

      Overrides:
        `bindClassLoaderToInstance` in class `org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule`

    - #### bindIGrammarAccess

          public java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess> bindIGrammarAccess()

    - #### bindISemanticSequencer

          public java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISemanticSequencer> bindISemanticSequencer()

      Overrides:
        `bindISemanticSequencer` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindISyntacticSequencer

          public java.lang.Class<? extends org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer> bindISyntacticSequencer()

    - #### bindISerializer

          public java.lang.Class<? extends org.eclipse.xtext.serializer.ISerializer> bindISerializer()

      Overrides:
        `bindISerializer` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIParser

          public java.lang.Class<? extends org.eclipse.xtext.parser.IParser> bindIParser()

    - #### bindITokenToStringConverter

          public java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter> bindITokenToStringConverter()

      Overrides:
        `bindITokenToStringConverter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIAntlrTokenFileProvider

          public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider> bindIAntlrTokenFileProvider()

    - #### bindLexer

          public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer> bindLexer()

    - #### provideInternalGeneratorModelLexer

          public com.google.inject.Provider<InternalGeneratorModelLexer> provideInternalGeneratorModelLexer()

    - #### configureRuntimeLexer

          public void configureRuntimeLexer(com.google.inject.Binder binder)

    - #### bindITokenDefProvider

          public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider> bindITokenDefProvider()

      Overrides:
        `bindITokenDefProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindGeneratorModelJavaValidator

          public java.lang.Class<? extends GeneratorModelJavaValidator> bindGeneratorModelJavaValidator()

    - #### bindIScopeProvider

          public java.lang.Class<? extends org.eclipse.xtext.scoping.IScopeProvider> bindIScopeProvider()

      Overrides:
        `bindIScopeProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### configureIScopeProviderDelegate

          public void configureIScopeProviderDelegate(com.google.inject.Binder binder)

    - #### configureIgnoreCaseLinking

          public void configureIgnoreCaseLinking(com.google.inject.Binder binder)

    - #### bindIQualifiedNameProvider

          public java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider> bindIQualifiedNameProvider()

      Overrides:
        `bindIQualifiedNameProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIFormatter

          public java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter> bindIFormatter()

      Overrides:
        `bindIFormatter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIGlobalScopeProvider

          public java.lang.Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider> bindIGlobalScopeProvider()

      Overrides:
        `bindIGlobalScopeProvider` in class `org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule`